Skip to main content
POST
/
users
Create a user
curl --request POST \
  --url https://api.rnbi.magent.finance/users/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Reap-Version: <reap-version>' \
  --data '
{
  "email": "jsmith@example.com",
  "phoneNumber": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "termsAcceptance": {
    "version": "2026-01-17",
    "ipAddress": "192.168.1.1"
  },
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "phoneNumber": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "country": "US",
  "dateOfBirth": "1990-05-15",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application": {
    "status": "NOT_STARTED",
    "rejectionReason": "<string>"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Body

Request body for creating a new user

email
string<email>
required

User email address

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Example:

"john.doe@example.com"

phoneNumber
string
required

Phone number in E.164 format (e.g., +14155552671)

Pattern: ^\+[1-9]\d{6,14}$
Example:

"+14155552671"

firstName
string
required

User first name (1-100 characters)

Required string length: 1 - 100
Example:

"John"

lastName
string
required

User last name (1-100 characters)

Required string length: 1 - 100
Example:

"Doe"

termsAcceptance
object
required

Terms acceptance is required for compliance

companyId
string<uuid>

Company ID (required in CORPORATE program mode)

Response

User resource

id
string<uuid>
required

Unique user identifier

email
string<email>
required

User email address

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Example:

"john.doe@example.com"

phoneNumber
string
required

Phone number in E.164 format

Example:

"+14155552671"

firstName
string
required

User first name

Example:

"John"

lastName
string
required

User last name

Example:

"Doe"

country
string | null
required

ISO 3166-1 alpha-2 country code

Required string length: 2
Example:

"US"

dateOfBirth
string | null
required

Date of birth in YYYY-MM-DD format (populated from KYC)

Example:

"1990-05-15"

companyId
string<uuid> | null
required

Company ID (set in CORPORATE program mode)

application
object
required

KYC application status

createdAt
string
required

ISO 8601 timestamp of creation

Example:

"2024-01-15T10:30:00Z"

updatedAt
string
required

ISO 8601 timestamp of last update

Example:

"2024-01-15T10:35:00Z"